=== debian/changelog ===
aresponses (3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Replace remaining uses of event_loop fixture, for compatibility with
    pytest-asyncio >= 1.0.0.
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 01:05:30 +0100

aresponses (3.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:34:40 +0900

aresponses (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1061777)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 20:35:05 +0900
