=== debian/control ===
Source: aresponses
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/aresponses/aresponses
Vcs-Browser: https://salsa.debian.org/python-team/packages/aresponses
Vcs-Git: https://salsa.debian.org/python-team/packages/aresponses.git

Package: python3-aresponses
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asyncio testing server for mocking external services
 An asyncio-based testing server designed for mocking external services. It
 allows developers to simulate various network conditions and responses using
 real network connections. Key features include support for regular expression
 matching on domain, path, method, or body, handling HTTPS requests by switching
 them to HTTP, and using callables for dynamic responses.  It is ideal for
 testing asynchronous HTTP clients and ensuring robust error handling in network
 interactions. The library supports repeated routes, JSON responses, and custom
 handlers, making it versatile for comprehensive testing scenarios.
