=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aresponses
export PYBUILD_TEST_ARGS=-k "not test_foo and not test_passthrough"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf aresponses.egg-info/
