=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aresponses-$1\.tar\.gz/ \
  https://github.com/aresponses/aresponses/tags .*/v?(\d\S+)\.tar\.gz
